Bug 1010104 - wired ethernet fails on resume from suspend if switch port activated after resume operation
wired ethernet fails on resume from suspend if switch port activated after re...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 21:26 EDT by Richard Keech
Modified: 2015-02-17 12:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:15:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Keech 2013-09-19 21:26:51 EDT
Description of problem:

If the switch port gets turned on after the laptop's resumption from suspension, then I find that the only reliable way to get wired networking back again is to shut down and re-boot.

If switch port is on at point of resume, then NetworkManager reliably re-connects to the ethernet.

If switch port is turned on after resumption, then one does not see a link on the wired ethernet (as seen at the switch).


Version-Release number of selected component (if applicable):

NetworkManager-0.9.8.2-8.git20130709.fc19.x86_64

kernel 3.10.11-200.fc19.x86_64

driver: r8169



How reproducible:

Every time.


Steps to Reproduce:
1. suspend host
2. turn off ethernet switch
3. resume host
4. turn on ethernet switch


Actual results:

Network Settings tool does not see any wired ethernet device.

Ethernet switch shows no link on the port.


Expected results:

Network Settings should show a wired ethernet device regardless of plug or switch state.

Turning on the ethernet switch (or plugging in the wired ethernet) should activate wired port.


Additional info:

Host is Lenovo G560 laptop, BIOS version 1.33
Comment 1 Murray Barton 2014-12-07 17:57:09 EST
I have the same problem, Fedora 19 & same driver. A bit of googling around le me to adding a SUSPEND_MODULES line to /etc/pm/config.d/upload_modules as a potential fix but that does not resolve the issue.
Comment 2 Fedora End Of Life 2015-01-09 14:54:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:15:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.